=== debian/changelog ===
vdr-plugin-markad (3.4.5-3~bpo12+1) bookworm-backports; urgency=medium

  * Bullseye backport

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 25 Jan 2024 12:29:27 +0100

vdr-plugin-markad (3.4.5-3) unstable; urgency=medium

  * chown vdr /var/lib/markad in plugin package (closes: #983619)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 19 Jan 2024 13:53:46 +0100

vdr-plugin-markad (3.4.5-2) unstable; urgency=medium

  * add abi version to libvdr-markad.so name

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 15 Jan 2024 22:48:55 +0100

vdr-plugin-markad (3.4.5-1) experimental; urgency=medium

  * update watch file to new upstream
  * New upstream version 3.4.5
  * update to vdr 2.6
  * update to dephelper 10
  * add libavfilter-dev to build-depends
  * don't use chown -R on /var/lib/markad

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 15 Jan 2024 11:29:38 +0100

vdr-plugin-markad (0.1.4+git20180120-3) experimental; urgency=medium

  * fix av_codec build problems

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 25 Feb 2020 22:38:19 +0100

vdr-plugin-markad (0.1.4+git20180120-2) experimental; urgency=medium

  * VCS moved to salsa.debian.org
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Apr 2018 19:35:26 +0200

vdr-plugin-markad (0.1.4+git20180120-1) experimental; urgency=medium

  * New Upstream Snapshot (commit ea2e182)
  * Standards-Version: 4.1.2
  * Changed Priority from extra to optional

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jan 2018 23:02:11 +0100

vdr-plugin-markad (0.1.4+git20160709-1) experimental; urgency=medium

  * New Upstream Snapshot (commit 74e2a8c)
  * Dropped avcodec patch - fixed upstream
  * Fixed compilation with ffmpeg3
  * Standards-Version 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jul 2016 20:41:37 +0200

vdr-plugin-markad (0.1.4+git20150212-3) experimental; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:58:12 +0100

vdr-plugin-markad (0.1.4+git20150212-2) experimental; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:48 +0100

vdr-plugin-markad (0.1.4+git20150212-1) experimental; urgency=medium

  * New Upstream Snapshot (commit c55f43f)
  * Standards-Version: 3.9.6
  * Build-depend on vdr-dev (>= 2.1.10)
  * Install markad manpage

 -- Tobias Grimm <etobi@debian.org>  Thu, 12 Feb 2015 22:34:37 +0100

vdr-plugin-markad (0.1.4-7) experimental; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.9)

 -- Tobias Grimm <etobi@debian.org>  Tue, 10 Feb 2015 19:14:58 +0100

vdr-plugin-markad (0.1.4-6) experimental; urgency=low

  * Fixed debian/control

 -- Tobias Grimm <etobi@debian.org>  Wed, 17 Apr 2013 21:19:32 +0200

vdr-plugin-markad (0.1.4-5) experimental; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 13:59:00 +0200

vdr-plugin-markad (0.1.4-4) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:52:07 +0100

vdr-plugin-markad (0.1.4-3) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 20:20:17 +0100

vdr-plugin-markad (0.1.4-2) experimental; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:48:06 +0100

vdr-plugin-markad (0.1.4-1) experimental; urgency=low

  * New upstream release
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Wed, 06 Mar 2013 21:43:50 +0100

vdr-plugin-markad (0.1.3-1) experimental; urgency=low

  * New upstream release
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 06 May 2012 10:42:15 +0200

vdr-plugin-markad (0.1.2+git20120131-1) experimental; urgency=low

  * New Upstream Snapshot
  * Fixed an upstream (http://projects.vdr-developer.org/issues/872)

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2012 12:26:46 +0100

vdr-plugin-markad (0.1.2-2) experimental; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 19:51:08 +0200

vdr-plugin-markad (0.1.2-1) experimental; urgency=low

  * New upstream release
  * Renamed get-orig-source targe to get-vcs-snapshot
  * Updated debian/copyright
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 May 2011 05:52:09 +0200

vdr-plugin-markad (0.1.0-1) experimental; urgency=low

  * New upstream release
  * Updated debian/watch

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 02:47:36 +0100

vdr-plugin-markad (0.0.7-2) experimental; urgency=low

  * Added 0003-ffmpeg-20100426.patch

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 09 Jun 2010 02:41:30 +0200

vdr-plugin-markad (0.0.7-1) experimental; urgency=low

  * New upstream release
  * Added dependency to vdr-markad for vdr-plugin-markad (the plugin uses the
    command line program now to mark advertisements)
  * Added installation of logos
  * Build-depend on vdr-dev >= 1.6.0-16
  * Standards-Version: 3.8.4
  * source/format 3.0
  * Updated debian/copyright
  * Added 0001-Fixed-errno-undeclared.patch
  * Added 0002-Fixed-some-compiler-warnings.patch

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 25 May 2010 21:49:57 +0200

vdr-plugin-markad (0.0.4.git20100303-1) experimental; urgency=low

  * New Upstream Snapshot (commit 0b56be8)
  * Added pkg-config, libavcodec-dev and libavformat-dev to Build-Depends
  * Removed vdr dependency from package vdr-markad
  * Removed DVBDIR from debian/rules
  * Added myself to Uploaders
  * Updated debian/copyright

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 04 Mar 2010 18:23:06 +0100

vdr-plugin-markad (0.0.4.git20091003-2) experimental; urgency=low

  * Removed non-standard shebang line from debian/rules

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 19:36:22 +0100


