=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = LIBDIR=. SOFILE=libvdr-markad.so.2.6.0
CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags) $(LDFLAGS)

%:
	dh $@ --with vdrplugin

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_auto_install:
	# Do nothing

override_dh_auto_clean:
	dh_auto_clean -- $(MAKE_OPTIONS)
	rm -f plugin/libvdr-*.so.*

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh
