=== debian/changelog ===
vdr-plugin-markad (3.4.12-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:29:20 +0200

vdr-plugin-markad (3.4.12-1) unstable; urgency=medium

  * add salca-ci.yml
  * New upstream version 3.4.12
  * fix copyright format

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 13 Mar 2024 14:15:12 +0100
