=== debian/changelog ===
vdr-plugin-markad (4.1.7-1) unstable; urgency=medium

  * New upstream version 4.1.7
  * bump standards version to 4.7.0 (no changes)
  * replace obsolete build-depends pkg-config with pkgconf
  * build with hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 09 Sep 2024 11:40:13 +0200
