=== debian/control ===
Source: vdr-plugin-markad
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders:
 Tobias Grimm <etobi@debian.org>,
 Thomas Günther <tom@toms-cafe.de>,
 Christoph Martin <martin@uni-mainz.de>,
Build-Depends:
 debhelper (>= 10),
 gettext,
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 pkgconf,
 vdr-dev (>= 2.6.0),
Standards-Version: 4.7.0
Homepage: http://projects.vdr-developer.org/projects/list_files/plg-markad
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-markad.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-markad

Package: vdr-markad
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tool to mark advertisements in VDR recordings
 This standalone tool provides the same functionality as
 the Markad plugin for the Linux Video Disc Recorder VDR.
 It will search for and mark advertisements in VDR recordings.

Package: vdr-plugin-markad
Architecture: any
Depends:
 vdr-markad,
 ${misc:Depends},
 ${shlibs:Depends},
 ${vdr:Depends},
Description: Plugin for VDR to mark advertisements in recordings
 This plugin for the Linux Video Disc Recorder VDR will search for
 and mark advertisements in VDR recordings.
