=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MAKE_OPTIONS = LIBDIR=. SOFILE=libvdr-markad.so.2.6.0
 CXXFLAGS += $(shell pkg-config vdr --variable=cxxflags) $(LDFLAGS)
