## vdr-plugin-markad 4.2.9

=== debian/changelog ===
vdr-plugin-markad (4.2.9-2) unstable; urgency=medium

  * rebuild against vdr 2.6.9

 -- Christoph Martin <chrism@debian.org>  Thu, 20 Feb 2025 10:36:14 +0100

vdr-plugin-markad (4.2.9-1) unstable; urgency=medium

  * New upstream version 4.2.9

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 06 Feb 2025 22:31:12 +0100

vdr-plugin-markad (4.2.8-1) unstable; urgency=medium

  * New upstream version 4.2.8

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 28 Jan 2025 15:44:18 +0100
