## vdr-plugin-markad 4.2.10

=== debian/changelog ===
vdr-plugin-markad (4.2.10-1) unstable; urgency=medium

  * New upstream version 4.2.10

 -- Christoph Martin <chrism@debian.org>  Fri, 07 Mar 2025 10:00:59 +0100
