## vdr-plugin-markad 4.2.12

=== debian/changelog ===
vdr-plugin-markad (4.2.12-1) unstable; urgency=medium

  * New upstream version 4.2.12

 -- Christoph Martin <chrism@debian.org>  Sun, 13 Apr 2025 18:06:00 +0200
