=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Tobias Grimm <etobi@debian.org>,
  Thomas Günther <tom@toms-cafe.de>,
- Christoph Martin <martin@uni-mainz.de>,
+ Christoph Martin <chrism@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  gettext,
