=== debian/changelog ===
vdr-plugin-markad (4.2.13-1) unstable; urgency=medium

  * New upstream version 4.2.13

 -- Christoph Martin <chrism@debian.org>  Sat, 17 May 2025 13:07:34 +0200
