=== debian/watch ===
version=4
opts="mode=git, compression=gzip" \
 https://github.com/kfb77/vdr-plugin-markad.git \
 refs/tags/[Vv]?(\d[\d\.]+) debian uupdate
