## vdr-plugin-markad 4.2.15

=== Makefile ===
--- 
+++ 
@@ -75,4 +75,4 @@
 	@-rm -f version.h $(PACKAGE).tgz
 
 cppcheck: 
-	cppcheck --enable=all --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/markad.h --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3940198 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null
+	cppcheck --enable=all --check-level=exhaustive --inline-suppr --suppress=missingIncludeSystem --suppress=unusedFunction:plugin/markad.cpp --suppress=unusedFunction:plugin/markad.h --suppress=unusedFunction:plugin/status.cpp -DLIBAVCODEC_VERSION_INT=3940198 -DDEBUGMEM=1 --error-exitcode=1 . > /dev/null
