=== debian/changelog ===
vdr-plugin-markad (4.2.15-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:19:57 +0000

vdr-plugin-markad (4.2.15-1) unstable; urgency=medium

  * New upstream version 4.2.15

 -- Christoph Martin <chrism@debian.org>  Thu, 30 Oct 2025 22:18:11 +0100
