=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vdr-plugin-markad
 Section: video
 Priority: optional
-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders:
  Tobias Grimm <etobi@debian.org>,
  Thomas Günther <tom@toms-cafe.de>,
